<?php
if(!isset($_SESSION['userLogged'])){
	echo redirect(BASE);exit;
}


if(isset($_SESSION['userID']))
{
	if( $_SESSION['userType'] == 'professor'){
		$dadosUsuarioLogado = findItem($conectDB, 'professor', ' id ', array("code"=>$_SESSION['userCode']) );
		if(empty($dadosUsuarioLogado->id))
		{
			echo redirect(BASE);exit;
		}
	}
	elseif( $_SESSION['userType'] == 'estagiario'){
		$dadosUsuarioLogado = findItem($conectDB, 'professor', ' id ', array("code"=>$_SESSION['userCode']) );
		if(empty($dadosUsuarioLogado->id))
		{
			echo redirect(BASE);exit;
		}
	}
	elseif( $_SESSION['userType'] == 'escola'){
		$dadosUsuarioLogado = findItem($conectDB, 'escola', ' id ', array("code"=>$_SESSION['userCode']) );
		if(empty($dadosUsuarioLogado->id))
		{
			echo redirect(BASE);exit;
		}
	}
} 

